// JGameEx23.java

import ch.aplu.jgamegrid.*;
import java.awt.*;

public class JGameEx23 extends GameGrid implements GGMouseListener
{
  public JGameEx23()
  {
    super(15, 15, 40, Color.red, "sprites/reef.gif", false);
    addMouseListener(this, GGMouse.lPress);
    show();
    doRun();
  }

  public boolean mouseEvent(GGMouse mouse)
  {
    Location location = toLocationInGrid(mouse.getX(), mouse.getY());
    addActor(new Clownfish(), location);
    return true; 
  }

  public static void main(String[] args)
  {
    new JGameEx23();
  }
}

class Clownfish extends Actor 
{
  public Clownfish()
  {
    super("sprites/sNemo.gif");
  }

  public void act()
  {
    if (getX() == 0 || getX() == 14)
    {
      turn(180);
      setHorzMirror(!isHorzMirror());
    }
    move();
  }
}